/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2024-08-29 20:43:25
 * @LastEditors: dminyi 1301963064@qq.com
 * @LastEditTime: 2024-09-05 09:34:19
 * @FilePath: \gzDyh\gz-customerSystem\src\components\WantUserTag\Handling.jsx
 * @Description: 经办人
 */
import React from 'react';
import PropTypes from 'prop-types';
import { CloseOutlined } from '@ant-design/icons';
import {person} from '@/assets/images/icon'
import './index.less';

const WantUserTag = ({ name, value, onClose }) => {
  return (
    <div className="wantUserTag">
      <div className="wantUserTag-wantHandleUser">
        <div className="wantUserTag-wantHandleUser-left"><img src={person} alt=''/></div>
        <div className="wantUserTag-wantHandleUser-right">{name}</div>
        <div onClick={() => onClose(value)} className="wantUserTag-wantHandleUser-icon">
          <CloseOutlined />
        </div>
      </div>
    </div>
  );
};

WantUserTag.propTypes = {
  name: PropTypes.string,
  onClose: PropTypes.func,
};

export default WantUserTag;